Subject: Re: [PATCH] use C99 declaration of variable in for() loop

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Feb 2024 12:07:01 -0800

Elia Pinto <[email-masked]> writes:

> Thank you for your reply. I can understand that, clearly. However,
> this means that extensive code
> refactoring contributions are never welcome. I am not saying this is a
> problem, but just an observation.

Such changes can happen and have happened when the benefit of such
code churn outweighs the cost of reviewing *and* cost of updating or
adjusting in-flight topics that may already or may not yet be in my
tree.  Coccinelle-driven patches that can be mechanically reproduced
and whose validity can be trusted can be one way to reduce the review
and maintenance cost for such a tree-wide change.